﻿<!DOCTYPE html>
<html>
    <head>
        <title></title>
    </head>
    <body>
   
    <h2>String arrays</h2>

    @Code
        Dim teamMembers() As String = {"Matt", "Joanne", "Robert", "Nancy"}
        @<p>The number of names in the teamMembers array: @teamMembers.Length </p>
        @<p>Robert is now in position: @Array.IndexOf(teamMembers, "Robert")</p>
        @<p>The array item at position 2 (zero-based) is @teamMembers(2)</p>
        @<h3>Current order of team members in the list</h3>
        For Each name In teamMembers
            @<p>@name</p>
        Next name
        @<h3>Reversed order of team members in the list</h3>
        Array.Reverse(teamMembers)
        For Each reversedItem In teamMembers
            @<p>@reversedItem</p>
        Next reversedItem
    End Code
    
    
    <hr />
    
    <h2>Dictionaries</h2>
    @Code
        Dim myScores = New Dictionary(Of String, Integer)()
        myScores.Add("test1", 71)
        myScores.Add("test2", 82)
        myScores.Add("test3", 100)
        myScores.Add("test4", 59)
    End Code
    <h3>My score on test 3 is: @myScores("test3")%</h3>
    @Code
        myScores("test4") = 79
    End Code

    <h3>My corrected score on test 4 is: @myScores("test4")%</h3>
    
    
    </body>
</html>
