﻿<!DOCTYPE html>
<html>
    <head>
        <title></title>
    </head>
    <body>
    <h2>Using Conditional Code</h2>
    <p>Working with if-else blocks</p>
    @Code
        Dim theBalance = 4.99
        If theBalance = 0 Then
            @<p>You have a zero balance.</p>
        ElseIf theBalance > 0 AndAlso theBalance <= 5 Then
            ' If the balance is above 0 but less than
            ' or equal to $5, display this message.
            @<p>Your balance of $@theBalance is very low.</p>
        Else
            ' For balances greater than $5, display balance.
            @<p>Your balance is: $@theBalance</p>
        End If
    
    End Code

    <hr />
    
    <p>Working with switch statements</p>
    @Code
        Dim weekday = "Wednesday"
        Dim greeting = ""
        
        Select Case weekday
            Case "Monday"
                greeting = "Ok, it's a marvelous Monday"
            Case "Tuesday"
                greeting = "It's a tremendous Tuesday"
            Case "Wednesday"
                greeting = "Wild Wednesday is here!"
            Case Else
                greeting = "It's some other day, oh well."
        End Select
    End Code
    <p>Since it is @weekday, the message for today is: @greeting</p>


    </body>
</html>
