﻿<!DOCTYPE html>
<html>
    <head>
        <title></title>
    </head>
    <body>
    <p>WebMatrix VB code is not case-sensitive.</p>
    @Code 
        ' The first variable declaration is the same as the second one.
        ' If you uncomment the second line of code, it causes an error because the
        ' variable of that name has already been declared.
        Dim lastName = "Smith"
        'Dim LastName = "Jones"
    End Code
    <p>The lastName variable (value = @lastName) is the same as the LastName variable.</p>
    
    <hr />
    
    <p>WebMatrix handles white space in unique ways.</p>
    @' Extra spaces within a line do not affect the statement.
    @' This statement works with or without the extra spaces after "=".
    @Code Dim personName =    "Smith"   End Code
    <p></p>
    @' If you wrap a statement to a new line, you must use the  
    @' line continuation character (_). 
    @Code
        ' The uncommented lines of code produce the same result as the 
        ' first, commented line by using "_" to wrap to a second line.
        ' Dim familyName = "Smith"
        ' Dim familyName _
        ' =  "Smith" 
    End Code
    
    @Code
        Dim _
        familyName _
        = _
        "Smith"
    End Code

    <p>Family name = @familyName</p>
    <p></p>

    <hr />
    
    <p>WebMatrix has several ways of adding server code comments.</p>
    @' A single-line comment is added like this example.
    
    @Code
        ' You can make comments in blocks by just using ' before each line.
    End Code
        
    @Code
        ' There is no multi-line comment character in Visual Basic. 
        ' You use a ' before each line you want to comment. 
    End Code

    
    <p></p>
    
    <hr />
    
    <p>Working with string literals in WebMatrix.</p>
    @' Enclose strings in double quotation marks.
    @Code Dim myString = "This is a string literal"  End Code
      
    @' If using the double quotation mark character and you want it to literally appear 
    @' in a string, repeat the double quotation mark character for each time you want
    @' it to appear in the rendered output. 
    @Code
        ' The literal output to the rendered page is:
        ' The person said, "Hello, today is Monday."
        Dim myQuote = "The person said: ""Hello, today is Monday."""
        @<p>@myQuote </p>
    End Code

    </body>
</html>




